2018-12-18 22:59 UTC


View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0000057Branch 0.2.1-FINALFeature Requestpublic2016-11-23 10:26
Reporteruser13 
Assigned Touser13 
PrioritynormalSeveritytweakReproducibilityN/A
StatusclosedResolutionfixed 
PlatformApache 2.2.9 - mod_php 5.2.6OSWindows Vista Ultimate x64 SP1OS Version6001 SP1
Product Version0.2.1-FINAL 
Target Version0.2.1-FINALFixed in Version0.2.1-FINAL 
Summary0000057: Anderes FehlerNummerZeichen als # in Fehlermeldungen
DescriptionDa ja Fehlermeldungen hauptsächlich hier im Bugtracker gepostet werden sollen ist es angebracht das # in den Fehlermeldungen die das Script ausgibt zu ändern. Das # mit einer Zahl dahinter wird ja hier im Bugtracker als BugNummer "übersetzt" und dann einfach ein Link auf dem entsprechenden eigentlich nicht zum gemeldeten Bug gehörenden Bug gesetzt. Damit da keine Unklarheiten auftauchen sollte das # in Fehlermeldungen auf ein anderes Zeichen geändert werden.
TagsNo tags attached.
Attached Files

-Relationships Relation Graph ] Dependency Graph ]
+Relationships

-Notes

~0000108

Quix0r (administrator)

Ansich eine gute Idee. Ich glaube, dass dies durchaus verwirren kann. In Bug 0000058 hab ich mal selber ein $-Zeichen verwendet.

Leider geht dies nicht so einfach in PHP, meines Wissens nach, da ich debug_print_backtrace() verwende.

Ab 0.3.0 wird dies aber anders sein, siehe trunk. :)

~0000160

Quix0r (administrator)

Ich habe hierzu schon angefangen, alle Stellen, wo debug_print_backtrace() vorkommt. auf trigger_error umzuschreiben.

Ist mit Sicherheit nicht die beste Loesung, aber so geht es erstmal.

~0000223

Quix0r (administrator)

Hab den Code von Ship-Simu uebernommen und zurueckportiert. Mal schauen, wie viele trigger_error()-Aufrufe ich nochmals umbaue...

~0000225

Quix0r (administrator)

Sollte mit Commit 742 besser sein.

~0000231

user13

Ja ist jetzt viel übersichtlicher. Eine kleine Anmerkung: Die Fehlerausgabe noch ein wenig per CSS die Zeilenumbrüche (auch zwischen den
  • -- Opera zeigt da auch zwischen den
  • -Einträgen) trimmen und dann ist es perfekt.
  • ~0000769

    Quix0r (administrator)

    Und zu damit.
    +Notes

    -Issue History
    Date Modified Username Field Change
    2009-01-29 02:36 user13 New Issue
    2009-02-03 17:46 Quix0r Note Added: 0000108
    2009-02-03 17:47 Quix0r Projection none => major rework
    2009-02-03 17:47 Quix0r ETA none => < 1 day
    2009-02-03 17:47 Quix0r Build => SVN-HEAD
    2009-02-06 01:42 Quix0r Fixed in Version => 0.2.1-FINAL
    2009-02-08 00:10 Quix0r Note Added: 0000160
    2009-02-22 00:28 Quix0r Note Added: 0000223
    2009-02-22 00:31 Quix0r Assigned To => Quix0r
    2009-02-22 00:31 Quix0r Status new => assigned
    2009-02-22 00:31 Quix0r Target Version => 0.2.1-FINAL
    2009-02-22 16:33 Quix0r Note Added: 0000225
    2009-02-22 16:33 Quix0r Assigned To Quix0r => user13
    2009-02-22 16:33 Quix0r Status assigned => feedback
    2009-02-23 18:45 user13 Note Added: 0000231
    2009-02-23 18:45 user13 Status feedback => resolved
    2009-02-23 18:45 user13 Resolution open => fixed
    2016-11-23 10:26 Quix0r Note Added: 0000769
    2016-11-23 10:26 Quix0r Status resolved => closed
    +Issue History